# Command: setprecision

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    setprecision - set precision for decimal place of a stream

Synopsis:

    ostream int setprecision -> ostream

Examples:

      cerr 3 setprecision 3.12345678901 pprint endl -> 3.123
      cerr 9 setprecision 3.12345678901 pprint endl -> 3.123456789

Author:

    docu by Sirko Straube

SeeAlso:

- cerr
- endl
- pprint

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/sli/sli_io.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative